import random
import string

class RandomGenerator:
    CHARACTERS_POPULATION = string.ascii_letters + string.digits

    def __init__(self, seed: int = None) -> None:
        self.rand = random.Random(seed)

    def random_string(self, length: int, population: str = CHARACTERS_POPULATION) -> str:
        return "".join(self.rand.choices(population, k=length))
    