from typing import Dict, Tuple
import logging


class TagsUtils:
    
    @staticmethod
    def getTags(input : str) -> Dict[str, str]:
        if not input:
            return {}
        return dict([TagsUtils._split_dict_item(e) for e in input.split(',')])

    @staticmethod
    def _split_dict_item(input :str) -> Tuple[str, str]:
        out = input.split(':')
        return (out[0], out[1])