import os
import shutil
from ec2init.utils.system import SystemUtils

class ShellUtils:

    @staticmethod
    def rmtree(dir_p: str, keep_root=False) -> None:
        if keep_root:
            for sub in os.listdir(dir_p):
                sub_p = os.path.join(dir_p, sub)
                if os.path.isfile(sub_p):
                    os.remove(sub_p)
                else:
                    shutil.rmtree(sub_p, ignore_errors=False, onerror=None)
        else:
            shutil.rmtree(dir_p, ignore_errors=False, onerror=None)