
class VersionUtils:

    @staticmethod
    def less_than_or_equal(v1: str, v2: str) -> bool:
        versionA = v1.split("-")[0] # keep only the version part, remove SNAPSHOT
        versionB = v2.split("-")[0] # keep only the version part, remove SNAPSHOT
        versionATuple = [int(e) for e in versionA.split('.')]
        versionBTuple = [int(e) for e in versionB.split('.')]
        return versionATuple <= versionBTuple
    
    @staticmethod
    def get_version_with_zero_patch_version(v: str) -> str:
        vParts = v.split(".")
        return f"{vParts[0]}.{vParts[1]}.0"